# BOOT Configuration Functions
[Boot Configuration]

## Functions
CSL_IDEF_INLINE void | CSL_BootCfgGetRevisionInfo (Uint32 *info)
CSL_IDEF_INLINE void | CSL_BootCfgGetDeviceId (Uint32 *id)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsLittleEndian (void)
CSL_IDEF_INLINE Uint16 | CSL_BootCfgGetBootMode (void)
CSL_IDEF_INLINE void | CSL_BootCfgSetBootMode (Uint16 bootMode)
CSL_IDEF_INLINE Uint8 | CSL_BootCfgGetPCIEMode (void)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsPCIEEnabled (void)
CSL_IDEF_INLINE Uint8 | CSL_BootCfgGetPARefClockSelect (void)
CSL_IDEF_INLINE void | CSL_BootCfgUnlockKicker (void)
CSL_IDEF_INLINE void | CSL_BootCfgLockKicker (void)
CSL_IDEF_INLINE Uint32 | CSL_BootCfgGetDSPBootAddress (Uint8 coreIdx)
CSL_IDEF_INLINE void | CSL_BootCfgSetDSPBootAddress (Uint8 coreIdx, Uint32 bootAddress)
CSL_IDEF_INLINE void | CSL_BootCfgGetMacIdentifier (Uint32 *macId1, Uint32 *macId2)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsBootComplete (Uint8 coreIdx)
CSL_IDEF_INLINE void | CSL_BootCfgSetBootComplete (Uint8 coreIdx)
CSL_IDEF_INLINE Uint32 | CSL_BootCfgGetBootProgress (void)
CSL_IDEF_INLINE void | CSL_BootCfgSetBootProgress (Uint32 bootProgress)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsCoreLocalReset (Uint8 coreIdx)
CSL_IDEF_INLINE void | CSL_BootCfgClearLocalReset (Uint8 coreIdx)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsGlobalReset (void)
CSL_IDEF_INLINE void | CSL_BootCfgClearGlobalReset (void)
CSL_IDEF_INLINE void | CSL_BootCfgGetNMILocalResetStatus (Uint8 coreIdx, Uint8 *nmiStatus, Uint8 *localStatus)
CSL_IDEF_INLINE void | CSL_BootCfgClearNMILocalResetStatus (Uint8 coreIdx, Uint8 nmiStatus, Uint8 localStatus)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsSysClockEnabled (void)
CSL_IDEF_INLINE void | CSL_BootCfgEnableSysClock (void)
CSL_IDEF_INLINE void | CSL_BootCfgDisableSysClock (void)
CSL_IDEF_INLINE void | CSL_BootCfgGetPowerStatus (Uint8 *standby, Uint8 *hibernation, Uint8 *hibernationMode, Uint32 *generalPurpose)
CSL_IDEF_INLINE void | CSL_BootCfgSetPowerStatus (Uint8 standby, Uint8 hibernation, Uint8 hibernationMode, Uint32 generalPurpose)
CSL_IDEF_INLINE void | CSL_BootCfgGetSRIOSERDESStatus (Uint32 *srioSERDESStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGetSGMIISERDESStatus (Uint32 *sgmiiSERDESStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGetPCIESERDESStatus (Uint32 *pcieSERDESStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGetVUSRSERDESStatus (Uint32 *vusrSERDESStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGenerateNMIEvent (Uint8 coreNum)
CSL_IDEF_INLINE void | CSL_BootCfgGenerateInterDSPInterrupt (Uint8 coreNum, Uint32 sourceId)
CSL_IDEF_INLINE void | CSL_BootCfgGenerateExternalHostInterrupt (Uint32 sourceId)
CSL_IDEF_INLINE void | CSL_BootCfgGetInterDSPInterruptStatus (Uint8 coreNum, Uint32 *intStatus)
CSL_IDEF_INLINE void | CSL_BootCfgClearInterDSPInterruptStatus (Uint8 coreNum, Uint32 intStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGetExternalHostInterruptStatus (Uint32 *intStatus)
CSL_IDEF_INLINE void | CSL_BootCfgClearExternalHostInterruptStatus (Uint32 intStatus)
CSL_IDEF_INLINE Uint16 | CSL_BootCfgGetTimerInputSelection (void)
CSL_IDEF_INLINE void | CSL_BootCfgSetTimerInputSelection (Uint16 timerInput)
CSL_IDEF_INLINE void | CSL_BootCfgGetTimerOutputSelection (Uint8 *timerOutputSel0, Uint8 *timerOutputSel1)
CSL_IDEF_INLINE void | CSL_BootCfgSetTimerOutputSelection (Uint8 timerOutputSel0, Uint8 timerOutputSel1)
CSL_IDEF_INLINE void | CSL_BootCfgGetResetMuxLockStatus (Uint8 coreIdx, Uint8 *lockStatus)
CSL_IDEF_INLINE void | CSL_BootCfgSetResetMuxLockStatus (Uint8 coreIdx, Uint8 lockStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGetResetMuxOutputMode (Uint8 coreIdx, Uint8 *outputMode)
CSL_IDEF_INLINE void | CSL_BootCfgSetResetMuxOutputMode (Uint8 coreIdx, Uint8 outputMode)
CSL_IDEF_INLINE void | CSL_BootCfgGetResetMuxDelay (Uint8 coreIdx, Uint8 *delay)
CSL_IDEF_INLINE void | CSL_BootCfgSetResetMuxDelay (Uint8 coreIdx, Uint8 delay)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsResetMuxEventDetected (Uint8 coreIdx)
CSL_IDEF_INLINE void | CSL_BootCfgClearResetMuxEvent (Uint8 coreIdx)
CSL_IDEF_INLINE void | CSL_BootCfgGetCOREPLLConfiguration (Uint32 *corePLLConfig0, Uint32 *corePLLConfig1)
CSL_IDEF_INLINE void | CSL_BootCfgSetCOREPLLConfiguration (Uint32 corePLLConfig0, Uint32 corePLLConfig1)
CSL_IDEF_INLINE void | CSL_BootCfgGetDDR3PLLConfiguration (Uint32 *ddr3PLLConfig0, Uint32 *ddr3PLLConfig1)
CSL_IDEF_INLINE void | CSL_BootCfgSetDDR3PLLConfiguration (Uint32 ddr3PLLConfig0, Uint32 ddr3PLLConfig1)
CSL_IDEF_INLINE void | CSL_BootCfgGetPAPLLConfiguration (Uint32 *paPLLConfig0, Uint32 *paPLLConfig1)
CSL_IDEF_INLINE void | CSL_BootCfgSetPAPLLConfiguration (Uint32 paPLLConfig0, Uint32 paPLLConfig1)
CSL_IDEF_INLINE void | CSL_BootCfgGetSGMIIConfigPLL (Uint16 *configPLL)
CSL_IDEF_INLINE void | CSL_BootCfgSetSGMIIConfigPLL (Uint16 configPLL)
CSL_IDEF_INLINE void | CSL_BootCfgGetSGMIIRxConfig (Uint8 index, Uint32 *rxConfig)
CSL_IDEF_INLINE void | CSL_BootCfgSetSGMIIRxConfig (Uint8 index, Uint32 rxConfig)
CSL_IDEF_INLINE void | CSL_BootCfgGetSGMIITxConfig (Uint8 index, Uint32 *txConfig)
CSL_IDEF_INLINE void | CSL_BootCfgSetSGMIITxConfig (Uint8 index, Uint32 txConfig)
CSL_IDEF_INLINE void | CSL_BootCfgGetSGMIIReserved (Uint32 *rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgSetSGMIIReserved (Uint32 rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgGetPCIEConfigPLL (Uint16 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetPCIEMode (Uint8 pcieMode)
CSL_IDEF_INLINE void | CSL_BootCfgGetPCIEPLLLock (Uint16 *lock)
CSL_IDEF_INLINE void | CSL_BootCfgSetPCIEConfigPLL (Uint16 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetSRIOSERDESConfigPLL (Uint16 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetSRIOSERDESConfigPLL (Uint16 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetPCIEReserved (Uint8 *rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgSetPCIEReserved (Uint8 rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgGetSRIOSERDESRxConfig (Uint8 index, Uint32 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetSRIOSERDESRxConfig (Uint8 index, Uint32 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetSRIOSERDESTxConfig (Uint8 index, Uint32 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetSRIOSERDESTxConfig (Uint8 index, Uint32 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetSRIOSERDESReserved (Uint32 *rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgSetSRIOSERDESReserved (Uint32 rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgGetLEDPassDoneStatus (Uint8 coreIdx, Uint8 *pass, Uint8 *done, Uint8 *idle, Uint8 *waitLoop)
CSL_IDEF_INLINE void | CSL_BootCfgSetLEDPassDoneStatus (Uint8 coreIdx, Uint8 pass, Uint8 done, Uint8 idle, Uint8 waitLoop)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsLEDPLLLocked (void)
CSL_IDEF_INLINE void | CSL_BootCfgLockLEDPLL (void)
CSL_IDEF_INLINE void | CSL_BootCfgUnlockLEDPLL (void)
CSL_IDEF_INLINE void | CSL_BootCfgGetLEDChipPassDoneStatus (Uint8 *pass, Uint8 *done)
CSL_IDEF_INLINE void | CSL_BootCfgSetLEDChipPassDoneStatus (Uint8 pass, Uint8 done)
CSL_IDEF_INLINE void | CSL_BootCfgGetDeviceSecureControl (Uint8 *vusrSecEnStatus, Uint8 *pbistSecEnStatus)
CSL_IDEF_INLINE void | CSL_BootCfgSetDeviceSecureControl (Uint8 vusrSecEnStatus, Uint8 pbistSecEnStatus)
CSL_IDEF_INLINE void | CSL_BootCfgGetROMChecksum (Uint32 *romLSBChecksum, Uint32 *romMSBChecksum)
CSL_IDEF_INLINE void | CSL_BootCfgGetCorePLLObservationClockControl (Uint8 *selection, Uint8 *enable)
CSL_IDEF_INLINE void | CSL_BootCfgSetCorePLLObservationClockControl (Uint8 selection, Uint8 enable)
CSL_IDEF_INLINE void | CSL_BootCfgGetDDR3PLLObservationClockControl (Uint8 *selection, Uint8 *enable)
CSL_IDEF_INLINE void | CSL_BootCfgSetDDR3PLLObservationClockControl (Uint8 selection, Uint8 enable)
CSL_IDEF_INLINE void | CSL_BootCfgGetPAPLLObservationClockControl (Uint8 *selection, Uint8 *enable)
CSL_IDEF_INLINE void | CSL_BootCfgSetPAPLLObservationClockControl (Uint8 selection, Uint8 enable)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsPSCEMIF4FResetEnabled (void)
CSL_IDEF_INLINE void | CSL_BootCfgEnablePSCEMIF4FReset (void)
CSL_IDEF_INLINE void | CSL_BootCfgDisablePSCEMIF4FReset (void)
CSL_IDEF_INLINE void | CSL_BootCfgGetVUSRConfigPLL (Uint16 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetVUSRConfigPLL (Uint16 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetVUSRRxConfig (Uint8 index, Uint32 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetVUSRRxConfig (Uint8 index, Uint32 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetVUSRTxConfig (Uint8 index, Uint32 *config)
CSL_IDEF_INLINE void | CSL_BootCfgSetVUSRTxConfig (Uint8 index, Uint32 config)
CSL_IDEF_INLINE void | CSL_BootCfgGetVUSRReserved (Uint32 *rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgSetVUSRReserved (Uint32 rsvdInfo)
CSL_IDEF_INLINE void | CSL_BootCfgGetQMPriority (Uint8 *qmprio)
CSL_IDEF_INLINE void | CSL_BootCfgSetQMPriority (Uint8 qmprio)
CSL_IDEF_INLINE void | CSL_BootCfgGetGEML2ReadLatency (Uint8 *latency)
CSL_IDEF_INLINE void | CSL_BootCfgSetGEML2ReadLatency (Uint8 latency)
CSL_IDEF_INLINE void | CSL_BootCfgGetGEML2AccessLatency (Uint8 *latency)
CSL_IDEF_INLINE void | CSL_BootCfgSetGEML2AccessLatency (Uint8 latency)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsDDR3PSCLockEnabled (void)
CSL_IDEF_INLINE void | CSL_BootCfgEnableDDR3PSCLock (void)
CSL_IDEF_INLINE void | CSL_BootCfgDisableDDR3PSCLock (void)
CSL_IDEF_INLINE Bool | CSL_BootCfgIsMSMCParityResetBlocked (void)
CSL_IDEF_INLINE void | CSL_BootCfgBlockMSMCParityReset (void)
CSL_IDEF_INLINE void | CSL_BootCfgUnblockMSMCParityReset (void)
CSL_IDEF_INLINE void | CSL_BootCfgGetDDRConfig (Uint8 regNum, Uint32 *ddr3Config)
CSL_IDEF_INLINE void | CSL_BootCfgSetDDRConfig (Uint8 regNum, Uint32 ddr3Config)

## Function Documentation

CSL_IDEF_INLINE void CSL_BootCfgBlockMSMCParityReset | ( | void |  | ) |

============================================================================
CSL_BootCfgBlockMSMCParityReset

Description
The function enables the MSMC Parity RAM block bit, thus preventing the MSMC parity RAM from being reset.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_MSMC_BLOCK_PARITY_RST=1

Example

            // Block MSMC parity RAM from reset
            CSL_BootCfgBlockMSMCParityReset();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgClearExternalHostInterruptStatus | ( | Uint32 | intStatus | ) |

============================================================================
CSL_BootCfgClearExternalHostInterruptStatus

Description
The function is used to clear the status of the External Host Interrupt register.

Arguments

            intStatus - Interrupt Status(Source ID) to be cleared

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_IPCARH_IPCGRH_SRC_CLR

Example

            Uint32  srcId;

            // Get the External Host Interrupt Status
            CSL_BootCfgGetExternalHostInterruptStatus(&srcId);
            ...
            // Clear the Interrupt Status
            CSL_BootCfgClearExternalHostInterruptStatus(srcId);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgClearGlobalReset | ( | void |  | ) |

============================================================================
CSL_BootCfgClearGlobalReset

Description
The function is used to clear the global reset state of the specified core

Arguments

            coreIdx - Core Index for which the global reset state is to be cleared

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_RESET_STAT_GRST_STAT

Example

            // Is device globally reset?
            if (CSL_BootCfgIsGlobalReset () == TRUE)
            {
                // Device is global reset
                ...
                // Clear the global reset flag
                CSL_BootCfgClearGlobalReset();
            }
            else
            {
                // Device is NOT global reset
            }

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgClearInterDSPInterruptStatus | ( | Uint8 | coreNum,
|  | Uint32 | intStatus |
| ) |  |  |

============================================================================
CSL_BootCfgClearInterDSPInterruptStatus

Description
The function is used to clear the status of the Inter-DSP Interrupt register.

Arguments

            coreNum   - Core Number for which the interrupt status is read.
            intStatus - Interrupt Status(Source ID) to be cleared.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_IPCAR0_IPCGR0_SRC_CLR; BOOTCFG_IPCAR1_IPCGR1_SRC_CLR;
BOOTCFG_IPCAR2_IPCGR2_SRC_CLR; BOOTCFG_IPCAR3_IPCGR3_SRC_CLR

Example

            Uint32  srcId;

            // Get the Inter-DSP Interrupt Status for Core 2
            CSL_BootCfgGetInterDSPInterruptStatus(2, &srcId);
            ...
            // Clear the interrupts.
            CSL_BootCfgClearInterDSPInterruptStatus(2, srcId);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgClearLocalReset | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgClearLocalReset

Description
The function is used to clear the local reset state of the specified core

Arguments

            coreIdx - Core Index for which the local reset state is to be cleared

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_RESET_STAT_CLR_LRST_STAT_0_CLR;BOOTCFG_RESET_STAT_CLR_LRST_STAT_1_CLR;
BOOTCFG_RESET_STAT_CLR_LRST_STAT_2_CLR;BOOTCFG_RESET_STAT_CLR_LRST_STAT_7_CLR

Affects
BOOTCFG_RESET_STAT_LRST_STAT0=0;BOOTCFG_RESET_STAT_LRST_STAT1=0;
BOOTCFG_RESET_STAT_LRST_STAT2=0;BOOTCFG_RESET_STAT_LRST_STAT7=0

Example

            // Is Core 0 locally reset?
            if (CSL_BootCfgIsCoreLocalReset (0) == TRUE)
            {
                // Core 0 is locally reset.
                ...
                // Clear Core 0 local reset.
                CSL_BootCfgClearLocalReset (0);
            }
            else
            {
                // Core 0 is not locally reset.
            }

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgClearNMILocalResetStatus | ( | Uint8 | coreIdx,
|  | Uint8 | nmiStatus,
|  | Uint8 | localStatus |
| ) |  |  |

============================================================================
CSL_BootCfgClearNMILocalResetStatus

Description
The function is used to clear the NMI & Local reset status for a specific core.

Arguments

            coreIdx     - Core Index for which the status is required
            nmiStatus   - NMI Status to be cleared
            localStatus - Local Reset Status to be cleared

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_LRSTNMISTAT_NMI_STAT0,BOOTCFG_LRSTNMISTAT_LRESET_STAT0;
BOOTCFG_LRSTNMISTAT_NMI_STAT1,BOOTCFG_LRSTNMISTAT_LRESET_STAT1;
...;
BOOTCFG_LRSTNMISTAT_NMI_STAT3,BOOTCFG_LRSTNMISTAT_LRESET_STAT7;

Example

            Uint8   nmiStatus;
            Uint8   localStatus;

            // Get the NMI and Local Reset Status for core 1
            CSL_BootCfgGetNMILocalResetStatus (1, &nmiStatus, &localStatus);
            ...
            // Clear the status
            CSL_BootCfgClearNMILocalResetStatus (1, nmiStatus, localStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgClearResetMuxEvent | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgClearResetMuxEvent

Description
The function is to used clear the detected event in the reset mux block

Arguments

            coreIdx     - Core Index

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_RSTMUX0_RSTMUX_EVSTAT_CLR0

Example

            // Check if there is an event detected or not for core 1
            if (CSL_BootCfgIsResetMuxEventDetected (1) == TRUE)
            {
                // Reset Event has been detected
                ...
                // Clear the reset event
                CSL_BootCfgClearResetMuxEvent(1);
            }
            else
            {
                // Reset Event has NOT been detected
            }

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgDisableDDR3PSCLock | ( | void |  | ) |

============================================================================
CSL_BootCfgDisableDDR3PSCLock

Description
The function disables the DDR3 PSC Lock.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_EMIF4F_PSC_LOCK_N=0

Example

            // Unlock DDR3 PSC.
            CSL_BootCfgDisableDDR3PSCLock();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgDisablePSCEMIF4FReset | ( | void |  | ) |

============================================================================
CSL_BootCfgDisablePSCEMIF4FReset

Description
The function disables the PSC EMIF4F Reset Enable bit in the Observation Clock Control register.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_OBSCLK_CTL_PSC_EMIF4F_RST_EN=0

Example

            // Disable PSC EMIF4 Reset Enable bit
            CSL_BootCfgEnablePSCEMIF4FReset();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgDisableSysClock | ( | void |  | ) |

============================================================================
CSL_BootCfgDisableSysClock

Description
The function is used to disable the sys clock

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_DEVCFG_SYSCLKOUTEN=0

Example

            CSL_BootCfgDisableSysClock();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgEnableDDR3PSCLock | ( | void |  | ) |

============================================================================
CSL_BootCfgEnableDDR3PSCLock

Description
The function enables the DDR3 PSC Lock, thus enabling DDR3 EMIF to be reset independently of the rest of the chip.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_EMIF4F_PSC_LOCK_N=1

Example

            // Lock DDR3 PSC from reset with chip
            CSL_BootCfgEnableDDR3PSCLock();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgEnablePSCEMIF4FReset | ( | void |  | ) |

============================================================================
CSL_BootCfgEnablePSCEMIF4FReset

Description
The function enables the PSC EMIF4F Reset Enable bit in the Observation Clock Control register.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_OBSCLK_CTL_PSC_EMIF4F_RST_EN=1

Example

            // Enable PSC EMIF4 Reset Enable bit
            CSL_BootCfgEnablePSCEMIF4FReset();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgEnableSysClock | ( | void |  | ) |

============================================================================
CSL_BootCfgEnableSysClock

Description
The function is used to enable the sys clock

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_DEVCFG_SYSCLKOUTEN=1

Example

            CSL_BootCfgEnableSysClock();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGenerateExternalHostInterrupt | ( | Uint32 | sourceId | ) |

============================================================================
CSL_BootCfgGenerateExternalHostInterrupt

Description
The function is used to generate an external host interrupt.

Arguments

            sourceId - Source Id which identifies the entity generating the interrupt

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_IPCGRH_IPCGRH_SRC, BOOTCFG_IPCGRH_IPCGRH_REG=1;

Example

            // Generate External Host Interrupt with the Source Id as 2
            CSL_BootCfgGenerateExternalHostInterrupt(2);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGenerateInterDSPInterrupt | ( | Uint8 | coreNum,
|  | Uint32 | sourceId |
| ) |  |  |

============================================================================
CSL_BootCfgGenerateInterDSPInterrupt

Description
The function is used to generate an inter-DSP interrupt.

Arguments

            coreNum  - Core Number to which the interrupt is directed.
            sourceId - Source Id which identifies the entity generating the interrupt

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_IPCGR0_IPCGR0_SRC, BOOTCFG_IPCGR0_IPCGR0_REG=1;
BOOTCFG_IPCGR1_IPCGR1_SRC, BOOTCFG_IPCGR1_IPCGR1_REG=1;
BOOTCFG_IPCGR2_IPCGR2_SRC, BOOTCFG_IPCGR2_IPCGR2_REG=1;
BOOTCFG_IPCGR3_IPCGR3_SRC, BOOTCFG_IPCGR3_IPCGR3_REG=1;

Example

            // Generate Inter-DSP Interrupt to Core 1 with the Source Id as 4
            CSL_BootCfgGenerateInterDSPInterrupt(1, 4);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGenerateNMIEvent | ( | Uint8 | coreNum | ) |

============================================================================
CSL_BootCfgGenerateNMIEvent

Description
The function is used to generate a NMI event to a specific core.

Arguments

            coreNum    - Core Number on which the NMI event is to be generated.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_NMIGR_0_NMIGR_0_REG;BOOTCFG_NMIGR_1_NMIGR_1_REG;
BOOTCFG_NMIGR_2_NMIGR_2_REG;BOOTCFG_NMIGR_3_NMIGR_3_REG

Example

            // Generate NMI Event on Core 0
            CSL_BootCfgGenerateNMIEvent(0);

=============================================================================

CSL_IDEF_INLINE Uint16 CSL_BootCfgGetBootMode | ( | void |  | ) |

============================================================================
CSL_BootCfgGetBootMode

Description
The function returns the boot mode which is latched at POR or RESETFULL.

Arguments

            None

Return Value
Boot mode

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_REG0_BOOT_MODE

Example

            Uint16 bootMode;

            // Get the boot mode.
            bootMode = CSL_BootCfgGetBootMode();

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BootCfgGetBootProgress | ( | void |  | ) |

============================================================================
CSL_BootCfgGetBootProgress

Description
The function is used to get the boot progress.

Arguments

            None

Return Value
Boot progress contents.

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_PROGRESS

Example

            Uint32  bootProgress;

            // Get the boot progress
            bootProgress = CSL_BootCfgGetBootProgress ();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetCOREPLLConfiguration | ( | Uint32 * | corePLLConfig0,
|  | Uint32 * | corePLLConfig1 |
| ) |  |  |

============================================================================
CSL_BootCfgGetCOREPLLConfiguration

Description
The function is to used get the CORE PLL configuration.

Arguments

            corePLLConfig0    - CORE PLL Configuration0.
            corePLLConfig1    - CORE PLL Configuration1.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_CORE_PLL_CTL0, BOOTCFG_CORE_PLL_CTL1

Example

            Uint32  corePLLConfig0;
            Uint32  corePLLConfig1;

            // Get the CORE PLL Configuration
            CSL_BootCfgGetCOREPLLConfiguration (&corePLLConfig0, &corePLLConfig1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetCorePLLObservationClockControl | ( | Uint8 * | selection,
|  | Uint8 * | enable |
| ) |  |  |

============================================================================
CSL_BootCfgGetCorePLLObservationClockControl

Description
The function is to used to get the core PLL observation clock control

Arguments

            selection - Controls which clock is output
            enable    - Status of the Core PLL IO Clock buffer.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_OBSCLK_CTL_CORE_PLL_OBSCLK_SEL,BOOTCFG_OBSCLK_CTL_CORE_PLL_OBSCLK_EN

Example

            Uint8   selection;
            Uint8   enable;

            // Get the Core PLL Observation Clock Control
            CSL_BootCfgGetCorePLLObservationClockControl(&selection, &enable);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetDDR3PLLConfiguration | ( | Uint32 * | ddr3PLLConfig0,
|  | Uint32 * | ddr3PLLConfig1 |
| ) |  |  |

============================================================================
CSL_BootCfgGetDDR3PLLConfiguration

Description
The function is to used get the DDR3 PLL configuration.

Arguments

            ddr3PLLConfig0    - DDR3 PLL Configuration0.
            ddr3PLLConfig1    - DDR3 PLL Configuration1.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_DDR3_PLL_CTL0, BOOTCFG_DDR3_PLL_CTL1

Example

            Uint32  ddr3PLLConfig0;
            Uint32  ddr3PLLConfig1;

            // Get the DDR3 PLL Configuration
            CSL_BootCfgGetDDR3PLLConfiguration (&ddr3PLLConfig0, &ddr3PLLConfig1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetDDR3PLLObservationClockControl | ( | Uint8 * | selection,
|  | Uint8 * | enable |
| ) |  |  |

============================================================================
CSL_BootCfgGetDDR3PLLObservationClockControl

Description
The function is to used to get the DDR3 PLL observation clock control

Arguments

            selection - Controls which clock is output
            enable    - Status of the DDR3 PLL IO Clock buffer.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_OBSCLK_CTL_DDR3_PLL_OBSCLK_SEL,BOOTCFG_OBSCLK_CTL_DDR3_PLL_OBSCLK_EN

Example

            Uint8   selection;
            Uint8   enable;

            // Get the DDR3 PLL Observation Clock Control
            CSL_BootCfgGetDDR3PLLObservationClockControl(&selection, &enable);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetDDRConfig | ( | Uint8 | regNum,
|  | Uint32 * | ddr3Config |
| ) |  |  |

============================================================================
CSL_BootCfgGetDDRConfig

Description
The function is to used to get the DDR3 Configuration.

Arguments

            regNum  - DDR Configuration Register to be read.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_DDR3_CONFIG_REG_0;BOOTCFG_DDR3_CONFIG_REG_1;BOOTCFG_DDR3_CONFIG_REG_2;
BOOTCFG_DDR3_CONFIG_REG_3;BOOTCFG_DDR3_CONFIG_REG_4;BOOTCFG_DDR3_CONFIG_REG_5;
BOOTCFG_DDR3_CONFIG_REG_6;BOOTCFG_DDR3_CONFIG_REG_7;BOOTCFG_DDR3_CONFIG_REG_8;
BOOTCFG_DDR3_CONFIG_REG_9;BOOTCFG_DDR3_CONFIG_REG_10;BOOTCFG_DDR3_CONFIG_REG_11;
BOOTCFG_DDR3_CONFIG_REG_12;BOOTCFG_DDR3_CONFIG_REG_13;BOOTCFG_DDR3_CONFIG_REG_14;
BOOTCFG_DDR3_CONFIG_REG_15;BOOTCFG_DDR3_CONFIG_REG_16;BOOTCFG_DDR3_CONFIG_REG_17;
BOOTCFG_DDR3_CONFIG_REG_18;BOOTCFG_DDR3_CONFIG_REG_19;BOOTCFG_DDR3_CONFIG_REG_20;
BOOTCFG_DDR3_CONFIG_REG_21;BOOTCFG_DDR3_CONFIG_REG_22;BOOTCFG_DDR3_CONFIG_REG_23;
BOOTCFG_DDR3_CONFIG_REG_24;BOOTCFG_DDR3_CONFIG_REG_25

Example

            Uint32   ddr3Config;

            // Get the DDR3 Register 1 Configuration.
            CSL_BootCfgGetDDRConfig(1, &ddr3Config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetDeviceId | ( | Uint32 * | id | ) |

============================================================================
CSL_BootCfgGetDeviceId

Description
The function is used to get the device identifier.

Arguments

            id    Device Identifier populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_DEVICE_ID_REG0

Example

            Uint32  id;

            // Get the device identifier.
            CSL_BootCfgGetDeviceId (&id);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetDeviceSecureControl | ( | Uint8 * | vusrSecEnStatus,
|  | Uint8 * | pbistSecEnStatus |
| ) |  |  |

============================================================================
CSL_BootCfgGetDeviceSecureControl

Description
The function is to used to get the device secure control

Arguments

            vusrSecEnStatus     - VUSR Secure Enable Status
            pbistSecEnStatus    - PBIST Secure Enable Status

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SECURE_CONTROL_VUSR_SEC_EN,BOOTCFG_SECURE_CONTROL_PBIST_SECURE_EN

Example

            Uint8   vusrSecEnStatus;
            Uint8   pbistSecEnStatus;

            // Get the Secure Control
            CSL_BootCfgGetDeviceSecureControl(&vusrSecEnStatus, &pbistSecEnStatus);

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BootCfgGetDSPBootAddress | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgGetDSPBootAddress

Description
The function is used to get the initial fetch address of each GEM core

Arguments

            coreIdx -   Index of the core for which the fecth address is required

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOTADDR_GEM0_REG_BOOTADDR_GEM0

Example

            Uint32  bootAddress;

            // Get the Boot configuration DSP Boot Address for Core 1
            bootAddress = CSL_BootCfgGetDSPBootAddress(1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetExternalHostInterruptStatus | ( | Uint32 * | intStatus | ) |

============================================================================
CSL_BootCfgGetExternalHostInterruptStatus

Description
The function is used to get the status of the External Host Interrupt register.

Arguments

            intStatus - Interrupt Status(Source ID) populated by this API.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_IPCARH_IPCGRH_SRC_CLR

Example

            Uint32  srcId;

            // Get the External Host Interrupt Status
            CSL_BootCfgGetExternalHostInterruptStatus(&srcId);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetGEML2AccessLatency | ( | Uint8 * | latency | ) |

============================================================================
CSL_BootCfgGetGEML2AccessLatency

Description
The function is to used to get GEM L2's memory access latency.

Arguments

            latency  -   GEM L2 memory access latency

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_L2ACS_LAT

Example

            Uint8   latency;

            // Get the GEM L2 Access latency from Chip Misc Control register
            CSL_BootCfgGetGEML2AccessLatency(&latency);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetGEML2ReadLatency | ( | Uint8 * | latency | ) |

============================================================================
CSL_BootCfgGetGEML2ReadLatency

Description
The function is to used to get GEM L2's memory read latency.

Arguments

            latency  -   GEM L2 memory read latency

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_L2RDLAT

Example

            Uint8   latency;

            // Get the GEM L2 Read latency from Chip Misc Control register
            CSL_BootCfgGetGEML2ReadLatency(&latency);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetInterDSPInterruptStatus | ( | Uint8 | coreNum,
|  | Uint32 * | intStatus |
| ) |  |  |

============================================================================
CSL_BootCfgGetInterDSPInterruptStatus

Description
The function is used to get the status of the Inter-DSP Interrupt register.

Arguments

            coreNum   - Core Number for which the interrupt status is read.
            intStatus - Interrupt Status(Source ID) populated by this API.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_IPCAR0_IPCGR0_SRC_CLR; BOOTCFG_IPCAR1_IPCGR1_SRC_CLR;
BOOTCFG_IPCAR2_IPCGR2_SRC_CLR; BOOTCFG_IPCAR3_IPCGR3_SRC_CLR

Example

            Uint32  srcId;

            // Get the Inter-DSP Interrupt Status for Core 2
            CSL_BootCfgGetInterDSPInterruptStatus(2, &srcId);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetLEDChipPassDoneStatus | ( | Uint8 * | pass,
|  | Uint8 * | done |
| ) |  |  |

============================================================================
CSL_BootCfgGetLEDChipPassDoneStatus

Description
The function is to used to get the LED Chip Pass Done Status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_LED_CHIP_PASSDONE_CHIP_PASS,BOOTCFG_LED_CHIP_PASSDONE_CHIP_DONE

Example

            Uint8   pass;
            Uint8   done;

            // Get the LED Chip Pass Done
            CSL_BootCfgGetLEDChipPassDoneStatus(&pass, &done);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetLEDPassDoneStatus | ( | Uint8 | coreIdx,
|  | Uint8 * | pass,
|  | Uint8 * | done,
|  | Uint8 * | idle,
|  | Uint8 * | waitLoop |
| ) |  |  |

============================================================================
CSL_BootCfgGetLEDPassDoneStatus

Description
The function is used to get the LED pass done status for a specific core

Arguments

            coreIdx     - Index of the core for which the status is required.
            pass        - Pass Status Flag
            done        - Done Status Flag
            idle        - Idle Status Flag
            waitLoop    - Function Wait Loop Flag

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_LED_GEM_PASSDONE_P0,BOOTCFG_LED_GEM_PASSDONE_D0,
BOOTCFG_LED_GEM_PASSDONE_I0,BOOTCFG_LED_GEM_PASSDONE_L0;
BOOTCFG_LED_GEM_PASSDONE_P1,BOOTCFG_LED_GEM_PASSDONE_D1,
BOOTCFG_LED_GEM_PASSDONE_I1,BOOTCFG_LED_GEM_PASSDONE_L1;
...;
BOOTCFG_LED_GEM_PASSDONE_P3,BOOTCFG_LED_GEM_PASSDONE_D7,
BOOTCFG_LED_GEM_PASSDONE_I3,BOOTCFG_LED_GEM_PASSDONE_L7;

Example

            Uint8  pass,
            Uint8  done,
            Uint8  idle,
            Uint8  waitLoop

            // Get the LED Pass Done Status for Core 1
            CSL_BootCfgGetLEDPassDoneStatus (1, &pass, &done, &idle, &waitLoop);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetMacIdentifier | ( | Uint32 * | macId1,
|  | Uint32 * | macId2 |
| ) |  |  |

============================================================================
CSL_BootCfgGetMacIdentifier

Description
The function is used to get the MAC address for this device derived from the EFUSE.

Arguments

            macId1  -   Contents of the MAC ID1 register
            macId2  -   Contents of the MAC ID2 register

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_EMAC_ID1,BOOTCFG_EMAC_ID2

Example

            Uint32  macId1;
            Uint32  macId2;

            // Get the MAC Identifier
            CSL_BootCfgGetMacIdentifier(&macId1, &macId2);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetNMILocalResetStatus | ( | Uint8 | coreIdx,
|  | Uint8 * | nmiStatus,
|  | Uint8 * | localStatus |
| ) |  |  |

============================================================================
CSL_BootCfgGetNMILocalResetStatus

Description
The function is used to get the NMI & Local reset status for a specific core.

Arguments

            coreIdx     - Core Index for which the status is required
            nmiStatus   - NMI Status populated by this API
            localStatus - Local Reset Status populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_LRSTNMISTAT_NMI_STAT0,BOOTCFG_LRSTNMISTAT_LRESET_STAT0;
BOOTCFG_LRSTNMISTAT_NMI_STAT1,BOOTCFG_LRSTNMISTAT_LRESET_STAT1;
...;
BOOTCFG_LRSTNMISTAT_NMI_STAT3,BOOTCFG_LRSTNMISTAT_LRESET_STAT7;

Example

            Uint8   nmiStatus;
            Uint8   localStatus;

            // Get the NMI and Local Reset Status for core 1
            CSL_BootCfgGetNMILocalResetStatus (1, &nmiStatus, &localStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPAPLLConfiguration | ( | Uint32 * | paPLLConfig0,
|  | Uint32 * | paPLLConfig1 |
| ) |  |  |

============================================================================
CSL_BootCfgGetPAPLLConfiguration

Description
The function is to used get the PA PLL configuration.

Arguments

            paPLLConfig0    - PA PLL Configuration0.
            paPLLConfig1    - PA PLL Configuration1.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_PA_PLL_CTL0, BOOTCFG_PA_PLL_CTL1

Example

            Uint32  paPLLConfig0;
            Uint32  paPLLConfig1;

            // Get the PA PLL Configuration
            CSL_BootCfgGetPAPLLConfiguration (&paPLLConfig0, &paPLLConfig1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPAPLLObservationClockControl | ( | Uint8 * | selection,
|  | Uint8 * | enable |
| ) |  |  |

============================================================================
CSL_BootCfgGetPAPLLObservationClockControl

Description
The function is to used to get the PA PLL observation clock control

Arguments

            selection - Controls which clock is output
            enable    - Status of the PA PLL IO Clock buffer.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_OBSCLK_CTL_PA_PLL_OBSCLK_SEL,BOOTCFG_OBSCLK_CTL_PA_PLL_OBSCLK_EN

Example

            Uint8   selection;
            Uint8   enable;

            // Get the PA PLL Observation Clock Control
            CSL_BootCfgGetPAPLLObservationClockControl(&selection, &enable);

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_BootCfgGetPARefClockSelect | ( | void |  | ) |

============================================================================
CSL_BootCfgGetPARefClockSelect

Description
The function returns Packet accelerator subsystem (PASS) Clock select.

Arguments

            None

Return Value
0x0 - SYSCLK/ALTCORECLK is used as input to PA_SS PLL.
0x1 - PA_SS_CLK is used as input to PA_SS PLL.

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_REG0_PA_REFCLK_SEL

Example

            Uint8 passRefClkSelect;

            // Get the PA SS Reference clock select.
            passRefClkSelect = CSL_BootCfgGetPARefClockSelect();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPCIEConfigPLL | ( | Uint16 * | config | ) |

============================================================================
CSL_BootCfgGetPCIEConfigPLL

Description
The function is to used get the PCIE configuration PLL

Arguments

            config   - PCIE Configuration PLL

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_PCIE_CFGPLL_PCIE_CFGPLL

Example

            Uint16 config;

            // Get the PCIE Configuration PLL
            CSL_BootCfgGetPCIEConfigPLL (&config);

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_BootCfgGetPCIEMode | ( | void |  | ) |

============================================================================
CSL_BootCfgGetPCIEMode

Description
The function returns the PCIE mode which is latched at POR or RESETFULL. The PCIE can operate in three modes, End-point mode, Legacy End-point mode or Root complex mode.

Arguments

            None

Return Value
0x0 - PCIE in End-point mode
0x1 - PCIE in Legacy End-point mode
0x2 - PCIE in Root complex mode

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_REG0_PCIESS_MODE

Example

            Uint8 pcieMode;

            // Get the PCIE-SS mode.
            pcieMode = CSL_BootCfgGetPCIEMode();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPCIEPLLLock | ( | Uint16 * | lock | ) |

============================================================================
CSL_BootCfgGetPCIEPLLLock

Description
The function is to used get the PCIE PLL Lock status

Arguments

            None

Return Value
lock - Lock status

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_STS_PCIE_STS_LOCK

Example

            Uint16 lock;

            // Get the PCIE PLL lock status
            CSL_BootCfgGetPCIEPLLLock(&lock);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPCIEReserved | ( | Uint8 * | rsvdInfo | ) |

============================================================================
CSL_BootCfgGetPCIEReserved

Description
The function is to used get the PCIE reserved information

Arguments

            rsvdInfo   - PCIE Reserved Information

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_PCIE_SERDES_RSVD_PCIE_SERDES_RSVD

Example

            Uint32  rsvdInfo;

            // Get the PCIE Reserved information
            CSL_BootCfgGetPCIEReserved (&rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPCIESERDESStatus | ( | Uint32 * | pcieSERDESStatus | ) |

============================================================================
CSL_BootCfgGetPCIESERDESStatus

Description
The function gets the PCIE SERDES Status.

Arguments

            pcieSERDESStatus    - Status populated by this API.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_STS_PCIE_STS_PCIE

Example

            Uint32 pcieSERDESStatus;

            // Get the PCIE SERDES status.
            CSL_BootCfgGetPCIESERDESStatus(&pcieSERDESStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetPowerStatus | ( | Uint8 * | standby,
|  | Uint8 * | hibernation,
|  | Uint8 * | hibernationMode,
|  | Uint32 * | generalPurpose |
| ) |  |  |

============================================================================
CSL_BootCfgGetPowerStatus

Description
The function gets the Power status

Arguments

            standbyStatus       - Indicates whether in Standby mode or not
            hibernationStatus   - Indicates whether in Hibernation mode or not
            hibernationMode     - Indicates whether in Hibernation mode1 or mode2
            generalPurpose      - General Purpose value in the register

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_PWR_STAT_STANDBY,BOOTCFG_PWR_STAT_HIBERNATION,
BOOTCFG_PWR_STAT_HIBERNATION_MODE,BOOTCFG_PWR_STAT_PWR_STAT_GENERAL

Example

            Uint8  standby;
            Uint8  hibernation;
            Uint8  hibernationMode;
            Uint32 generalPurpose;

            // Get the power status.
            CSL_BootCfgGetPowerStatus(&standby, &hibernation, &hibernationMode, &generalPurpose);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetQMPriority | ( | Uint8 * | qmprio | ) |

============================================================================
CSL_BootCfgGetQMPriority

Description
The function is to used to get QM Master port transactions priority.

Arguments

            qmprio  -   QM Master port transaction priority read.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_CHIP_MISC_CHIP_MISC_QM_PRIOR

Example

            Uint8   qmprio;

            // Get the QM Priority from Chip Misc Control register
            CSL_BootCfgGetQMPriority(&qmprio);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetResetMuxDelay | ( | Uint8 | coreIdx,
|  | Uint8 * | delay |
| ) |  |  |

============================================================================
CSL_BootCfgGetResetMuxDelay

Description
The function gets the reset mux delay between NMI & IReset

Arguments

            coreIdx     - Core Index
            delay       - Delay populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_RSTMUX0_RSTMUX_DELAY0

Example

            Uint8   delay;

            // Get the delay for core 0
            CSL_BootCfgGetResetMuxOutputMode (0, &delay);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetResetMuxLockStatus | ( | Uint8 | coreIdx,
|  | Uint8 * | lockStatus |
| ) |  |  |

============================================================================
CSL_BootCfgGetResetMuxLockStatus

Description
The function gets the reset mux block lock status

Arguments

            coreIdx     - Core Index
            lockStatus  - Status of the register fields lock

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_RSTMUX0_RSTMUX_LOCK0

Example

            Uint8   lockStatus;

            // Get the lock status for core 0
            CSL_BootCfgGetResetMuxLockStatus (0, &lockStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetResetMuxOutputMode | ( | Uint8 | coreIdx,
|  | Uint8 * | outputMode |
| ) |  |  |

============================================================================
CSL_BootCfgGetResetMuxOutputMode

Description
The function gets the reset mux block output mode

Arguments

            coreIdx     - Core Index
            outputMode  - Output Mode populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_RSTMUX0_RSTMUX_OMODE0

Example

            Uint8   outputMode;

            // Get the output mode for core 0
            CSL_BootCfgGetResetMuxOutputMode (0, &outputMode);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetRevisionInfo | ( | Uint32 * | info | ) |

============================================================================
CSL_BootCfgGetRevisionInfo

Description
The function is used to get the revision information for the boot configuration module.

Arguments

            info    Revision information populated by this API

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_REVISION_REG

Example

            Uint32  info;

            // Get the boot configuration revision information.
            CSL_BootCfgGetRevisionInfo (&info);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetROMChecksum | ( | Uint32 * | romLSBChecksum,
|  | Uint32 * | romMSBChecksum |
| ) |  |  |

============================================================================
CSL_BootCfgGetROMChecksum

Description
The function is to used to get the ROM checksum

Arguments

            romLSBChecksum     - LSB of 64-bit ROM Checksum
            romMSBChecksum     - MSB of 64-bit ROM Checksum

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_EFUSE_SECROM_CHKSUM0,BOOTCFG_EFUSE_SECROM_CHKSUM1

Example

            Uint32   romLSBChecksum;
            Uint32   romMSBChecksum;

            // Get the ROM Checksum
            CSL_BootCfgGetROMChecksum(&romLSBChecksum, &romMSBChecksum);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSGMIIConfigPLL | ( | Uint16 * | configPLL | ) |

============================================================================
CSL_BootCfgGetSGMIIConfigPLL

Description
The function is to used get the SGMII configuration PLL.

Arguments

            configPLL   - SGMII PLL Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SGMII_CFGPLL_SGMII_CFGPLL

Example

            Uint16  configPLL;

            // Get the SGMII Configuration PLL
            CSL_BootCfgGetSGMIIConfigPLL (&configPLL);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSGMIIReserved | ( | Uint32 * | rsvdInfo | ) |

============================================================================
CSL_BootCfgGetSGMIIReserved

Description
The function is to used get the SGMII reserved information

Arguments

            rsvdInfo   - SGMII Reserved Information

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SGMII_RSVD_SGMII_RSVD

Example

            Uint32  rsvdInfo;

            // Get the SGMII Reserved information
            CSL_BootCfgGetSGMIIReserved (&rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSGMIIRxConfig | ( | Uint8 | index,
|  | Uint32 * | rxConfig |
| ) |  |  |

============================================================================
CSL_BootCfgGetSGMIIRxConfig

Description
The function is to used get the SGMII receive configuration.

Arguments

            index      - Index of the SGMII Receive Configuration (0 or 1)
            rxConfig   - SGMII Receive configuration.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SGMII_CFGRX0_SGMII_RXCFG0;BOOTCFG_SGMII_CFGRX1_SGMII_RXCFG1

Example

            Uint32  rxConfig;

            // Get the SGMII Receive Configuration
            CSL_BootCfgGetSGMIIRxConfig (0, &rxConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSGMIISERDESStatus | ( | Uint32 * | sgmiiSERDESStatus | ) |

============================================================================
CSL_BootCfgGetSGMIISERDESStatus

Description
The function gets the SGMII SERDES Status.

Arguments

            sgmiiSERDESStatus    - Status populated by this API.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_STS_SGMII_STS_SGMII

Example

            Uint32 sgmiiSERDESStatus;

            // Get the SGMII SERDES status.
            CSL_BootCfgGetSGMIISERDESStatus(&sgmiiSERDESStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSGMIITxConfig | ( | Uint8 | index,
|  | Uint32 * | txConfig |
| ) |  |  |

============================================================================
CSL_BootCfgGetSGMIITxConfig

Description
The function is to used get the SGMII transmit configuration.

Arguments

            index      - Index of the SGMII Transmit Configuration (0 or 1)
            txConfig   - SGMII Transmit configuration.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SGMII_CFGTX0_SGMII_TXCFG0;BOOTCFG_SGMII_CFGTX1_SGMII_TXCFG1

Example

            Uint32  txConfig;

            // Get the SGMII Transmit Configuration
            CSL_BootCfgGetSGMIITxConfig (1, &txConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSRIOSERDESConfigPLL | ( | Uint16 * | config | ) |

============================================================================
CSL_BootCfgGetSRIOSERDESConfigPLL

Description
The function is to used get the SRIO SERDES configuration PLL

Arguments

            config   - SRIO SERDES Configuration PLL

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SRIO_SERDES_CFGPLL_SRIO_SERDES_CFGPLL

Example

            Uint16 config;

            // Get the SRIO SERDES Configuration PLL
            CSL_BootCfgGetSRIOSERDESConfigPLL (&config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSRIOSERDESReserved | ( | Uint32 * | rsvdInfo | ) |

============================================================================
CSL_BootCfgGetSRIOSERDESReserved

Description
The function is to used get the SRIO SERDES reserved information. All the reserved bits of cfgrxi[] and cfgtxi[] port of the SerDes interface are mapped to the chip-level SERDES_RSVD registers. Only one SERDES_RSVD register is allocated per peripheral irrespective of the number of lanes. In case of peripheral with multiplelanes, the SERDES_RSVD register will be broadcast to all lanes.

Arguments

            rsvdInfo   - SRIO SERDES Reserved information

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SRIO_SERDES_RSVD_SRIO_SERDES_RSVD

Example

            Uint32 rsvdInfo;

            // Get the SRIO SERDES Reserved Information.
            CSL_BootCfgGetSRIOSERDESReserved (&rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSRIOSERDESRxConfig | ( | Uint8 | index,
|  | Uint32 * | config |
| ) |  |  |

============================================================================
CSL_BootCfgGetSRIOSERDESRxConfig

Description
The function is to used get the SRIO SERDES receive configuration

Arguments

            index    - Index of the SRIO SERDES to be configured (0-3)
            config   - SRIO SERDES Receive Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SRIO_SERDES_CFGRX0_SRIO_SERDES_CFGRX0;
BOOTCFG_SRIO_SERDES_CFGRX1_SRIO_SERDES_CFGRX1;
BOOTCFG_SRIO_SERDES_CFGRX2_SRIO_SERDES_CFGRX2;
BOOTCFG_SRIO_SERDES_CFGRX3_SRIO_SERDES_CFGRX3

Example

            Uint32 config;

            // Get the SRIO SERDES Receive Configuration
            CSL_BootCfgGetSRIOSERDESRxConfig (0, &config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSRIOSERDESStatus | ( | Uint32 * | srioSERDESStatus | ) |

============================================================================
CSL_BootCfgGetSRIOSERDESStatus

Description
The function gets the SRIO SERDES Status.

Arguments

            srioSERDESStatus    - Status populated by this API.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_STS_SRIO_STS_SRIO

Example

            Uint32 srioSERDESStatus;

            // Get the SRIO SERDES status.
            CSL_BootCfgGetSRIOSERDESStatus(&srioSERDESStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetSRIOSERDESTxConfig | ( | Uint8 | index,
|  | Uint32 * | config |
| ) |  |  |

============================================================================
CSL_BootCfgGetSRIOSERDESTxConfig

Description
The function is to used get the SRIO SERDES transmit configuration

Arguments

            index    - Index of the SRIO SERDES to be configured (0-3)
            config   - SRIO SERDES Transmit Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_SRIO_SERDES_CFGTX0_SRIO_SERDES_CFGTX0;
BOOTCFG_SRIO_SERDES_CFGTX1_SRIO_SERDES_CFGTX1;
BOOTCFG_SRIO_SERDES_CFGTX2_SRIO_SERDES_CFGTX2;
BOOTCFG_SRIO_SERDES_CFGTX3_SRIO_SERDES_CFGTX3

Example

            Uint32 config;

            // Get the SRIO SERDES Transmit Configuration
            CSL_BootCfgGetSRIOSERDESTxConfig (0, &config);

=============================================================================

CSL_IDEF_INLINE Uint16 CSL_BootCfgGetTimerInputSelection | ( | void |  | ) |

============================================================================
CSL_BootCfgGetTimerInputSelection

Description
The function gets the timer input selection

Arguments

            None

Return Value
Timer Input Selection

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_TINPSEL_TINPSEL

Example

            Uint16 timerInput;

            // Get the timer input selection
            timerInput = CSL_BootCfgGetTimerInputSelection();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetTimerOutputSelection | ( | Uint8 * | timerOutputSel0,
|  | Uint8 * | timerOutputSel1 |
| ) |  |  |

============================================================================
CSL_BootCfgGetTimerOutputSelection

Description
The function gets the timer output selection

Arguments

            timerOutputSel0 -   Timer output selection 0
            timerOutputSel1 -   Timer output selection 1

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_TOUTSEL_TOUTSEL0,BOOTCFG_TOUTSEL_TOUTSEL1

Example

            Uint8 timerOutputSel0;
            Uint8 timerOutputSel1;

            // Get the timer output selections
            CSL_BootCfgGetTimerOutputSelection(&timerOutputSel0, &timerOutputSel1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetVUSRConfigPLL | ( | Uint16 * | config | ) |

============================================================================
CSL_BootCfgGetVUSRConfigPLL

Description
The function is to used to get the VUSR Configuration PLL

Arguments

            config   - VUSR Configuration PLL

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_VUSR_CFGPLL_VUSR_CFGPLL

Example

            Uint16   config;

            // Get the VUSR Configuration PLL
            CSL_BootCfgGetVUSRConfigPLL(&config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetVUSRReserved | ( | Uint32 * | rsvdInfo | ) |

============================================================================
CSL_BootCfgGetVUSRReserved

Description
The function is to used to get the VUSR Reserved information

Arguments

            rsvdInfo   - VUSR Reserved Information

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_VUSR_SERDES_RSVD

Example

            Uint32   rsvdInfo;

            // Get the VUSR Reserved Information
            CSL_BootCfgGetVUSRReserved(&rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetVUSRRxConfig | ( | Uint8 | index,
|  | Uint32 * | config |
| ) |  |  |

============================================================================
CSL_BootCfgGetVUSRRxConfig

Description
The function is to used to get the VUSR Receive Configuration

Arguments

            index    - Index of the VUSR Receive Configuration (0 - 3)
            config   - VUSR Receive Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_VUSR_CFGRX0_VUSR_CFGRX0;BOOTCFG_VUSR_CFGRX1_VUSR_CFGRX1;
BOOTCFG_VUSR_CFGRX2_VUSR_CFGRX2;BOOTCFG_VUSR_CFGRX1_VUSR_CFGRX3

Example

            Uint32   rxConfig;

            // Get the VUSR 0 Receive Configuration PLL
            CSL_BootCfgGetVUSRRxConfig(0, &rxConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetVUSRSERDESStatus | ( | Uint32 * | vusrSERDESStatus | ) |

============================================================================
CSL_BootCfgGetVUSRSERDESStatus

Description
The function gets the VUSR SERDES Status.

Arguments

            vusrSERDESStatus    - Status populated by this API.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_STS_VUSR_STS_VUSR

Example

            Uint32 vusrSERDESStatus;

            // Get the VUSR SERDES status.
            CSL_BootCfgGetVUSRSERDESStatus(&vusrSERDESStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgGetVUSRTxConfig | ( | Uint8 | index,
|  | Uint32 * | config |
| ) |  |  |

============================================================================
CSL_BootCfgGetVUSRTxConfig

Description
The function is to used to get the VUSR Transmit Configuration

Arguments

            index    - Index of the VUSR Transmit Configuration (0 - 3)
            config   - VUSR Transmit Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_VUSR_CFGTX0_VUSR_CFGTX0;BOOTCFG_VUSR_CFGTX1_VUSR_CFGTX1;
BOOTCFG_VUSR_CFGTX2_VUSR_CFGTX2;BOOTCFG_VUSR_CFGTX3_VUSR_CFGTX3

Example

            Uint32   txConfig;

            // Get the VUSR 0 Transmit Configuration PLL
            CSL_BootCfgGetVUSRTxConfig(0, &txConfig);

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsBootComplete | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgIsBootComplete

Description
The function is used to check if the booting is complete for a specific core or not?

Arguments

            coreIdx     - Core index which is to be checked

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_COMPLETE_GEM0_COMPLETE;BOOTCFG_BOOT_COMPLETE_GEM1_COMPLETE;
...;BOOTCFG_BOOT_COMPLETE_GEM7_COMPLETE

Example

            // Check if the booting is complete or not for core 2?
            if (CSL_BootCfgIsBootComplete(2) == TRUE)
            {
                // Booting is done
            }
            else
            {
                // Booting is not done.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsCoreLocalReset | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgIsCoreLocalReset

Description
The function is used to check if the core is locally reset or not?

Arguments

            coreIdx - Core Index for which the reset status is needed

Return Value
TRUE - Core is locally reset.
FALSE - Core is not locally reset.

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_RESET_STAT_LRST_STAT0;BOOTCFG_RESET_STAT_LRST_STAT1;
...;BOOTCFG_RESET_STAT_LRST_STAT7

Example

            // Is Core 0 locally reset?
            if (CSL_BootCfgIsCoreLocalReset (0) == TRUE)
            {
                // Core 0 is locally reset.
            }
            else
            {
                // Core 0 is not locally reset.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsDDR3PSCLockEnabled | ( | void |  | ) |

============================================================================
CSL_BootCfgIsDDR3PSCLockEnabled

Description
The function is to used to get the DDR3 PSC Lock status from the Chip Miscellaneous Control register.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_EMIF4F_PSC_LOCK_N

Example

            // Get the DDR3 PSC lock status from Chip Misc Control register
            if (CSL_BootCfgIsDDR3PSCLockEnabled() == TRUE)
            {
                // DDR3 PSC lock enabled.
            }
            else
            {
                // DDR3 PSC lock disabled.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsGlobalReset | ( | void |  | ) |

============================================================================
CSL_BootCfgIsGlobalReset

Description
The function is used to check if the device is globally reset or not?

Arguments

            None

Return Value
TRUE - Device is global reset.
FALSE - Device is not globally reset.

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_RESET_STAT_GRST_STAT

Example

            // Is device globally reset?
            if (CSL_BootCfgIsGlobalReset () == TRUE)
            {
                // Device is global reset
            }
            else
            {
                // Device is NOT global reset
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsLEDPLLLocked | ( | void |  | ) |

============================================================================
CSL_BootCfgIsLEDPLLLocked

Description
The function is to used check if the LED PLL is locked or not?

Arguments

            None

Return Value
TRUE - LED PLL Locked
FALSE - LED PLL is not Locked

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_LED_PLLLOCK_PLLLOCK

Example

            // Is the LED PLL Locked or not?
            if (CSL_BootCfgIsLEDPLLLocked () == TRUE)
            {
                // LED PLL is locked
            }
            else
            {
                // LED PLL is not locked.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsLittleEndian | ( | void |  | ) |

============================================================================
CSL_BootCfgIsLittleEndian

Description
The function checks if the device is running in little endian mode or not?

Arguments

            None

Return Value
TRUE - Device is in Little Endian Mode
FALSE - Device is in Big Endian Mode

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_REG0_BIG_ENDIAN

Example

            // Check if device is in little endian mode or not?
            if (CSL_BootCfgIsLittleEndian () == TRUE)
            {
                // Little Endian
            }
            else
            {
                // Big Endian
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsMSMCParityResetBlocked | ( | void |  | ) |

============================================================================
CSL_BootCfgIsMSMCParityResetBlocked

Description
The function is to used to get the MSMC parity RAM reset block status from the Chip Miscellaneous Control register.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_CHIP_MISC_CHIP_MISC_MSMC_BLOCK_PARITY_RST

Example

            // Get the MSMC parity block status from Chip Misc Control register
            if (CSL_BootCfgIsMSMCParityResetBlocked() == TRUE)
            {
                // MSMC parity RAM reset is blocked.
            }
            else
            {
                // MSMC parity RAM reset is un-blocked.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsPCIEEnabled | ( | void |  | ) |

============================================================================
CSL_BootCfgIsPCIEEnabled

Description
The function checks if the PCIE mode is enabled or not?

Arguments

            None

Return Value
TRUE - PCIE is enabled
FALSE - PCIE is disabled

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_BOOT_REG0_PCIESSEN

Example

            // Is the PCIE-SS Enabled or not?
            if (CSL_BootCfgIsPCIEEnabled() == TRUE)
            {
                // PCIESS is enabled
            }
            else
            {
                // PCIESS is disabled
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsPSCEMIF4FResetEnabled | ( | void |  | ) |

============================================================================
CSL_BootCfgIsPSCEMIF4FResetEnabled

Description
The function is to used to get the status of PSC EMIF4F Reset Enable bit in the Observation Clock Control register.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_OBSCLK_CTL_PSC_EMIF4F_RST_EN

Example

            // Get the PSC EMIF4F Reset enable bit status
            if (CSL_BootCfgIsPSCEMIF4FResetEnabled() == TRUE)
            {
                // EMIF4F/DDR3 can be reset separately from rest of the chip.
            }
            else
            {
                // EMIF4F Reset disabled.
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsResetMuxEventDetected | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgIsResetMuxEventDetected

Description
The function checks if an event is detected by the Result Mux block

Arguments

            coreIdx     - Core Index

Return Value
TRUE - Event has been detected
FALSE - Event has not been detected

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_RSTMUX0_RSTMUX_EVSTAT0

Example

            // Check if there is an event detected or not for core 1
            if (CSL_BootCfgIsResetMuxEventDetected (1) == TRUE)
            {
                // Reset Event has been detected
            }
            else
            {
                // Reset Event has NOT been detected
            }

=============================================================================

CSL_IDEF_INLINE Bool CSL_BootCfgIsSysClockEnabled | ( | void |  | ) |

============================================================================
CSL_BootCfgIsSysClockEnabled

Description
The function checks if the system clock is enabled or not?

Arguments

            None

Return Value
TRUE - Clock output enabled
FALSE - No Clock Output

Pre Condition
None

Post Condition
None

Reads
BOOTCFG_DEVCFG_SYSCLKOUTEN

Example

            // Is System clock is enabled or not?
            if (CSL_BootCfgIsSysClockEnabled () == TRUE)
            {
                // Clock output is Enabled
            }
            else
            {
                // No Clock Output
            }

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgLockKicker | ( | void |  | ) |

============================================================================
CSL_BootCfgLockKicker

Description
The function is used to lock the kicker mechanism which will ensure that all subequent writes to the Boot configuration MMR are now blocked

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_KICK_REG0=0x1, BOOTCFG_KICK_REG1=0x1

Example

            // Unlock the kicker to ensure Boot configuration MMR is writeable
            CSL_BootCfgUnlockKicker();
            ...
            // Lock the kicker mechanism
            CSL_BootCfgLockKicker();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgLockLEDPLL | ( | void |  | ) |

============================================================================
CSL_BootCfgLockLEDPLL

Description
The function is to used lock the LED PLL

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_LED_PLLLOCK_STICKY_EN_LOCK=1

Example

            // Lock the LED PLL
            CSL_BootCfgLockLEDPLL();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetBootComplete | ( | Uint8 | coreIdx | ) |

============================================================================
CSL_BootCfgSetBootComplete

Description
The function is used to set the boot complete. This can be done only once by the software.

Arguments

            coreIdx     - Core index which for which boot complete is to be set

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_BOOT_COMPLETE_GEM0_COMPLETE;BOOTCFG_BOOT_COMPLETE_GEM1_COMPLETE;
...;BOOTCFG_BOOT_COMPLETE_GEM7_COMPLETE

Example

            // Booting is done for core 0
            CSL_BootCfgSetBootComplete (0);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetBootMode | ( | Uint16 | bootMode | ) |

============================================================================
CSL_BootCfgSetBootMode

Description
The function sets the boot mode

Arguments

            bootMode    - Boot Mode to be configured.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_BOOT_REG0_BOOT_MODE

Example

            // Set the boot mode.
            CSL_BootCfgSetBootMode(0x10);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetBootProgress | ( | Uint32 | bootProgress | ) |

============================================================================
CSL_BootCfgSetBootProgress

Description
The function is used to set the boot progress.

Arguments

            None

Return Value
Boot progress contents.

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_BOOT_PROGRESS

Example

            // Set the boot progress
            CSL_BootCfgSetBootProgress (0xDEAD);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetCOREPLLConfiguration | ( | Uint32 | corePLLConfig0,
|  | Uint32 | corePLLConfig1 |
| ) |  |  |

============================================================================
CSL_BootCfgSetCOREPLLConfiguration

Description
The function is to used set the CORE PLL configuration.

Arguments

            corePLLConfig0    - CORE PLL Configuration0.
            corePLLConfig1    - CORE PLL Configuration1.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CORE_PLL_CTL0, BOOTCFG_CORE_PLL_CTL1

Example

            Uint32  corePLLConfig0;
            Uint32  corePLLConfig1;

            // Get the CORE PLL Configuration
            CSL_BootCfgGetCOREPLLConfiguration (&corePLLConfig0, &corePLLConfig1);
            ...
            // Set the CORE PLL Configuration
            CSL_BootCfgSetCOREPLLConfiguration (corePLLConfig0, corePLLConfig1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetCorePLLObservationClockControl | ( | Uint8 | selection,
|  | Uint8 | enable |
| ) |  |  |

============================================================================
CSL_BootCfgSetCorePLLObservationClockControl

Description
The function is to used to set the core PLL observation clock control

Arguments

            selection - Controls which clock is output
            enable    - Status of the Core PLL IO Clock buffer.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_OBSCLK_CTL_CORE_PLL_OBSCLK_SEL,BOOTCFG_OBSCLK_CTL_CORE_PLL_OBSCLK_EN

Example

            Uint8   selection;
            Uint8   enable;

            // Get the Core PLL Observation Clock Control
            CSL_BootCfgGetCorePLLObservationClockControl(&selection, &enable);

            // IO Clock buffer is enabled.
            CSL_BootCfgSetCorePLLObservationClockControl(selection, 1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetDDR3PLLConfiguration | ( | Uint32 | ddr3PLLConfig0,
|  | Uint32 | ddr3PLLConfig1 |
| ) |  |  |

============================================================================
CSL_BootCfgSetDDR3PLLConfiguration

Description
The function is to used set the DDR3 PLL configuration.

Arguments

            ddr3PLLConfig0    - DDR3 PLL Configuration0.
            ddr3PLLConfig1    - DDR3 PLL Configuration1.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_DDR3_PLL_CTL0, BOOTCFG_DDR3_PLL_CTL1

Example

            Uint32  ddr3PLLConfig0;
            Uint32  ddr3PLLConfig1;

            // Get the DDR3 PLL Configuration
            CSL_BootCfgGetDDR3PLLConfiguration (&ddr3PLLConfig0, &ddr3PLLConfig1);
            ...
            // Set the DDR3 PLL Configuration
            CSL_BootCfgSetDDR3PLLConfiguration (ddr3PLLConfig0, ddr3PLLConfig1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetDDR3PLLObservationClockControl | ( | Uint8 | selection,
|  | Uint8 | enable |
| ) |  |  |

============================================================================
CSL_BootCfgSetDDR3PLLObservationClockControl

Description
The function is to used to set the DDR3 PLL observation clock control

Arguments

            selection - Controls which clock is output
            enable    - Status of the DDR3 PLL IO Clock buffer.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_OBSCLK_CTL_DDR3_PLL_OBSCLK_SEL,BOOTCFG_OBSCLK_CTL_DDR3_PLL_OBSCLK_EN

Example

            Uint8   selection;
            Uint8   enable;

            // Get the DDR3 PLL Observation Clock Control
            CSL_BootCfgGetDDR3PLLObservationClockControl(&selection, &enable);

            // DDR3 IO Clock Buffer is disabled.
            CSL_BootCfgSetDDR3PLLObservationClockControl(selection, 0);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetDDRConfig | ( | Uint8 | regNum,
|  | Uint32 | ddr3Config |
| ) |  |  |

============================================================================
CSL_BootCfgSetDDRConfig

Description
The function is to used to set the DDR3 Configuration.

Arguments

            regNum  - DDR Configuration Register to be configured.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_DDR3_CONFIG_REG_0;BOOTCFG_DDR3_CONFIG_REG_1;BOOTCFG_DDR3_CONFIG_REG_2;
BOOTCFG_DDR3_CONFIG_REG_3;BOOTCFG_DDR3_CONFIG_REG_4;BOOTCFG_DDR3_CONFIG_REG_5;
BOOTCFG_DDR3_CONFIG_REG_6;BOOTCFG_DDR3_CONFIG_REG_7;BOOTCFG_DDR3_CONFIG_REG_8;
BOOTCFG_DDR3_CONFIG_REG_9;BOOTCFG_DDR3_CONFIG_REG_10;BOOTCFG_DDR3_CONFIG_REG_11;
BOOTCFG_DDR3_CONFIG_REG_12;BOOTCFG_DDR3_CONFIG_REG_13;BOOTCFG_DDR3_CONFIG_REG_14;
BOOTCFG_DDR3_CONFIG_REG_15;BOOTCFG_DDR3_CONFIG_REG_16;BOOTCFG_DDR3_CONFIG_REG_17;
BOOTCFG_DDR3_CONFIG_REG_18;BOOTCFG_DDR3_CONFIG_REG_19;BOOTCFG_DDR3_CONFIG_REG_20;
BOOTCFG_DDR3_CONFIG_REG_21;BOOTCFG_DDR3_CONFIG_REG_22;BOOTCFG_DDR3_CONFIG_REG_23;
BOOTCFG_DDR3_CONFIG_REG_24;BOOTCFG_DDR3_CONFIG_REG_25

Example

            // Set the DDR3 Register 2 Configuration.
            CSL_BootCfgSetDDRConfig(2, 0x123565);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetDeviceSecureControl | ( | Uint8 | vusrSecEnStatus,
|  | Uint8 | pbistSecEnStatus |
| ) |  |  |

============================================================================
CSL_BootCfgSetDeviceSecureControl

Description
The function is to used to set the device secure control. This API can only be called from a secure master

Arguments

            vusrSecEnStatus     - VUSR Secure Enable Status
            pbistSecEnStatus    - PBIST Secure Enable Status

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SECURE_CONTROL_VUSR_SEC_EN,BOOTCFG_SECURE_CONTROL_PBIST_SECURE_EN

Example

            Uint8   vusrSecEnStatus;
            Uint8   pbistSecEnStatus;

            // Get the Secure Control
            CSL_BootCfgGetDeviceSecureControl(&vusrSecEnStatus, &pbistSecEnStatus);

            // Set the secure control.
            CSL_BootCfgSetDeviceSecureControl(1, pbistSecEnStatus);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetDSPBootAddress | ( | Uint8 | coreIdx,
|  | Uint32 | bootAddress |
| ) |  |  |

============================================================================
CSL_BootCfgSetDSPBootAddress

Description
The function is used to set the initial fetch address of each GEM core This can be done only for non-secure devices.

Arguments

            coreIdx     - Index of the core for which the fetch address is configured
            bootAddress - Boot Address to be configured

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_BOOTADDR_GEM0_REG_BOOTADDR_GEM0

Example

            Uint32  bootAddress;

            // Set the Boot configuration DSP Boot Address for Core 1
            CSL_BootCfgSetDSPBootAddress(1, 0x20B00000);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetGEML2AccessLatency | ( | Uint8 | latency | ) |

============================================================================
CSL_BootCfgSetGEML2AccessLatency

Description
The function is to used to set up GEM L2 memory access latency.

Arguments

            latency  -   GEM L2 memory access latency to configure.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_L2ACS_LAT

Example

            Uint8   latency = 1;

            // Set the GEM L2 Access latency in Chip Misc Control register
            CSL_BootCfgSetGEML2AccessLatency(latency);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetGEML2ReadLatency | ( | Uint8 | latency | ) |

============================================================================
CSL_BootCfgSetGEML2ReadLatency

Description
The function is to used to set up GEM L2 memory read latency.

Arguments

            latency  -   GEM L2 memory read latency to configure.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_GEM_L2RDLAT

Example

            Uint8   latency = 1;

            // Set the GEM L2 Read latency in Chip Misc Control register
            CSL_BootCfgSetGEML2ReadLatency(latency);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetLEDChipPassDoneStatus | ( | Uint8 | pass,
|  | Uint8 | done |
| ) |  |  |

============================================================================
CSL_BootCfgSetLEDChipPassDoneStatus

Description
The function is to used to set the LED Chip Pass Done Status

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_LED_CHIP_PASSDONE_CHIP_PASS,BOOTCFG_LED_CHIP_PASSDONE_CHIP_DONE

Example

            // Set the LED Chip Pass Done flags
            CSL_BootCfgSetLEDChipPassDoneStatus(1, 1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetLEDPassDoneStatus | ( | Uint8 | coreIdx,
|  | Uint8 | pass,
|  | Uint8 | done,
|  | Uint8 | idle,
|  | Uint8 | waitLoop |
| ) |  |  |

============================================================================
CSL_BootCfgSetLEDPassDoneStatus

Description
The function is used to set the LED pass done status for a specific core

Arguments

            coreIdx     - Index of the core for which the status is required.
            pass        - Pass Status Flag
            done        - Done Status Flag
            idle        - Idle Status Flag
            waitLoop    - Function Wait Loop Flag

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_LED_GEM_PASSDONE_P0,BOOTCFG_LED_GEM_PASSDONE_D0,
BOOTCFG_LED_GEM_PASSDONE_I0,BOOTCFG_LED_GEM_PASSDONE_L0;
BOOTCFG_LED_GEM_PASSDONE_P1,BOOTCFG_LED_GEM_PASSDONE_D1,
BOOTCFG_LED_GEM_PASSDONE_I1,BOOTCFG_LED_GEM_PASSDONE_L1;
...;
BOOTCFG_LED_GEM_PASSDONE_P3,BOOTCFG_LED_GEM_PASSDONE_D7,
BOOTCFG_LED_GEM_PASSDONE_I3,BOOTCFG_LED_GEM_PASSDONE_L7;

Example

            Uint8  pass,
            Uint8  done,
            Uint8  idle,
            Uint8  waitLoop

            // Get the LED Pass Done Status for Core 0
            CSL_BootCfgGetLEDPassDoneStatus (0, &pass, &done, &idle, &waitLoop);
            ...
            // Set the PASS Flag for core 0
            CSL_BootCfgSetLEDPassDoneStatus(0, 1, done, idle, waitLoop);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetPAPLLConfiguration | ( | Uint32 | paPLLConfig0,
|  | Uint32 | paPLLConfig1 |
| ) |  |  |

============================================================================
CSL_BootCfgSetPAPLLConfiguration

Description
The function is to used set the PA PLL configuration.

Arguments

            paPLLConfig0    - PA PLL Configuration0.
            paPLLConfig1    - PA PLL Configuration1.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_PA_PLL_CTL0, BOOTCFG_PA_PLL_CTL1

Example

            Uint32  paPLLConfig0;
            Uint32  paPLLConfig1;

            // Get the PA PLL Configuration
            CSL_BootCfgGetPAPLLConfiguration (&paPLLConfig0, &paPLLConfig1);
            ...
            // Set the PA PLL Configuration
            CSL_BootCfgSetPAPLLConfiguration (paPLLConfig0, paPLLConfig1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetPAPLLObservationClockControl | ( | Uint8 | selection,
|  | Uint8 | enable |
| ) |  |  |

============================================================================
CSL_BootCfgSetPAPLLObservationClockControl

Description
The function is to used to set the PA PLL observation clock control

Arguments

            selection - Controls which clock is output
            enable    - Status of the PA PLL IO Clock buffer.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_OBSCLK_CTL_PA_PLL_OBSCLK_SEL,BOOTCFG_OBSCLK_CTL_PA_PLL_OBSCLK_EN

Example

            Uint8   selection;
            Uint8   enable;

            // Get the PA PLL Observation Clock Control
            CSL_BootCfgGetPAPLLObservationClockControl(&selection, &enable);

            // PA IO Clock Buffer is disabled.
            CSL_BootCfgSetPAPLLObservationClockControl(selection, 0);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetPCIEConfigPLL | ( | Uint16 | config | ) |

============================================================================
CSL_BootCfgSetPCIEConfigPLL

Description
The function is to used set the PCIE configuration PLL

Arguments

            config   - PCIE Configuration PLL

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_PCIE_CFGPLL_PCIE_CFGPLL

Example

            Uint16 config;

            // Get the PCIE Configuration PLL
            CSL_BootCfgGetPCIEConfigPLL (&config);

            // Enable the PLL
            config = config | 0x1;
            CSL_BootCfgSetPCIEConfigPLL (config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetPCIEMode | ( | Uint8 | pcieMode | ) |

============================================================================
CSL_BootCfgSetPCIEMode

Description
The function sets the PCIE mode which is latched at POR or RESETFULL. The PCIE can operate in three modes, End-point mode, Legacy End-point mode or Root complex mode.

Arguments

            PCIe Mode - can have one of the following values:
     *   @n 0x0 - PCIE in End-point mode
     *   @n 0x1 - PCIE in Legacy End-point mode
     *   @n 0x2 - PCIE in Root complex mode

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_BOOT_REG0_PCIESS_MODE

Example

            Uint8 pcieMode;

            // Set the PCIE-SS mode.
            CSL_BootCfgSetPCIEMode(pcieMode);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetPCIEReserved | ( | Uint8 | rsvdInfo | ) |

============================================================================
CSL_BootCfgSetPCIEReserved

Description
The function is to used set the PCIE reserved information

Arguments

            rsvdInfo   - PCIE Reserved Information

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_PCIE_SERDES_RSVD_PCIE_SERDES_RSVD

Example

            Uint32  rsvdInfo;

            // Get the PCIE Reserved information
            CSL_BootCfgGetPCIEReserved (&rsvdInfo);
            ...
            // Set the PCIE Reserved information.
            CSL_BootCfgSetPCIEReserved (rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetPowerStatus | ( | Uint8 | standby,
|  | Uint8 | hibernation,
|  | Uint8 | hibernationMode,
|  | Uint32 | generalPurpose |
| ) |  |  |

============================================================================
CSL_BootCfgSetPowerStatus

Description
The function sets the Power status

Arguments

            standbyStatus       - Status of the standby to be configured
            hibernationStatus   - Hibernation Status to be configured
            hibernationMode     - Hibernation mode to be configured
            generalPurpose      - General Purpose value to be configured

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_PWR_STAT_STANDBY,BOOTCFG_PWR_STAT_HIBERNATION,
BOOTCFG_PWR_STAT_HIBERNATION_MODE,BOOTCFG_PWR_STAT_PWR_STAT_GENERAL

Example

            Uint8  standby;
            Uint8  hibernation;
            Uint8  hibernationMode;
            Uint32 generalPurpose;

            // Get the power status.
            CSL_BootCfgGetPowerStatus(&standby, &hibernation, &hibernationMode, &generalPurpose);
            ...
            // Set the power status to be in standby mode
            CSL_BootCfgSetPowerStatus (1, hibernation, hibernationMode, generalPurpose);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetQMPriority | ( | Uint8 | qmprio | ) |

============================================================================
CSL_BootCfgSetQMPriority

Description
The function is to used to set up QM Master port transactions priority.

Arguments

            qmprio  -   QM Master port transaction priority to configure.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_QM_PRIOR

Example

            Uint8   qmprio = 1;

            // Set the QM Priority in Chip Misc Control register
            CSL_BootCfgSetQMPriority(qmprio);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetResetMuxDelay | ( | Uint8 | coreIdx,
|  | Uint8 | delay |
| ) |  |  |

============================================================================
CSL_BootCfgSetResetMuxDelay

Description
The function sets the reset mux delay between NMI & IReset

Arguments

            coreIdx     - Core Index
            delay       - Delay to be configured

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_RSTMUX0_RSTMUX_DELAY0

Example

            // Set the delay for core 0 to be 2048 CPU/6 cycles delay between NMI & lreset
            CSL_BootCfgSetResetMuxDelay (0, 0x3);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetResetMuxLockStatus | ( | Uint8 | coreIdx,
|  | Uint8 | lockStatus |
| ) |  |  |

============================================================================
CSL_BootCfgSetResetMuxLockStatus

Description
The function sets the reset mux block lock status

Arguments

            coreIdx     - Core Index
            lockStatus  - Status of the register fields lock

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_RSTMUX0_RSTMUX_LOCK0

Example

            // Lock registers for Core 0
            CSL_BootCfgSetResetMuxLockStatus (0, 1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetResetMuxOutputMode | ( | Uint8 | coreIdx,
|  | Uint8 | outputMode |
| ) |  |  |

============================================================================
CSL_BootCfgSetResetMuxOutputMode

Description
The function sets the reset mux block output mode

Arguments

            coreIdx     - Core Index
            outputMode  - Output Mode to be configured

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_RSTMUX0_RSTMUX_OMODE0

Example

            // Set the output mode for core 0 to ensure that the WD Timer generates a local reset
            CSL_BootCfgSetResetMuxOutputMode (0, 2);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSGMIIConfigPLL | ( | Uint16 | configPLL | ) |

============================================================================
CSL_BootCfgSetSGMIIConfigPLL

Description
The function is to used set the SGMII configuration PLL.

Arguments

            configPLL   - SGMII PLL Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SGMII_CFGPLL_SGMII_CFGPLL

Example

            Uint16  configPLL;

            // Get the SGMII Configuration PLL
            CSL_BootCfgGetSGMIIConfigPLL (&configPLL);

            // Enable the PLL and configure it.
            configPLL = configPLL | 0x1;
            CSL_BootCfgSetSGMIIConfigPLL (configPLL);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSGMIIReserved | ( | Uint32 | rsvdInfo | ) |

============================================================================
CSL_BootCfgSetSGMIIReserved

Description
The function is to used set the SGMII reserved information

Arguments

            rsvdInfo   - SGMII Reserved Information

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SGMII_RSVD_SGMII_RSVD

Example

            Uint32  rsvdInfo;

            // Get the SGMII Reserved information
            CSL_BootCfgGetSGMIIReserved (&rsvdInfo);
            ...
            // Set the SGMII Reserved information
            CSL_BootCfgSetSGMIIReserved (rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSGMIIRxConfig | ( | Uint8 | index,
|  | Uint32 | rxConfig |
| ) |  |  |

============================================================================
CSL_BootCfgSetSGMIIRxConfig

Description
The function is to used set the SGMII receive configuration.

Arguments

            index      - Index of the SGMII Receive Configuration (0 or 1)
            rxConfig   - SGMII Receive configuration.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SGMII_CFGRX0_SGMII_RXCFG0;BOOTCFG_SGMII_CFGRX1_SGMII_RXCFG1

Example

            Uint32  rxConfig;

            // Get the SGMII Receive Configuration
            CSL_BootCfgGetSGMIIRxConfig (0, &rxConfig);
            ...
            // Enable the SGMII Receive
            rxConfig = rxConfig | 0x1;

            // Set the SGMII Receive configuration.
            CSL_BootCfgSetSGMIIRxConfig (0, rxConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSGMIITxConfig | ( | Uint8 | index,
|  | Uint32 | txConfig |
| ) |  |  |

============================================================================
CSL_BootCfgSetSGMIITxConfig

Description
The function is to used set the SGMII transmit configuration.

Arguments

            index      - Index of the SGMII Transmit Configuration (0 or 1)
            txConfig   - SGMII Transmit configuration.

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SGMII_CFGTX0_SGMII_TXCFG0;BOOTCFG_SGMII_CFGTX1_SGMII_TXCFG1

Example

            Uint32  txConfig;

            // Get the SGMII Transmit Configuration
            CSL_BootCfgGetSGMIITxConfig (1, &txConfig);

            // Enable the SGMII Transmit
            txConfig = txConfig | 0x1;
            CSL_BootCfgSetSGMIITxConfig (1, txConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSRIOSERDESConfigPLL | ( | Uint16 | config | ) |

============================================================================
CSL_BootCfgSetSRIOSERDESConfigPLL

Description
The function is to used set the SRIO SERDES configuration PLL

Arguments

            config   - SRIO SERDES Configuration PLL

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SRIO_SERDES_CFGPLL_SRIO_SERDES_CFGPLL

Example

            Uint16 config;

            // Get the SRIO SERDES Configuration PLL
            CSL_BootCfgGetSRIOSERDESConfigPLL (&config);

            // Enable the SRIO SERDES PLL Configuration.
            config = config | 0x1;
            CSL_BootCfgSetSRIOSERDESConfigPLL (config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSRIOSERDESReserved | ( | Uint32 | rsvdInfo | ) |

============================================================================
CSL_BootCfgSetSRIOSERDESReserved

Description
The function is to used set the SRIO SERDES reserved information.

Arguments

            rsvdInfo   - SRIO SERDES Reserved information

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SRIO_SERDES_RSVD_SRIO_SERDES_RSVD

Example

            Uint32 rsvdInfo;

            // Get the SRIO SERDES Reserved Information.
            CSL_BootCfgGetSRIOSERDESReserved (&rsvdInfo);
            ...
            // Set the SRIO SERDES Reserved Information.
            CSL_BootCfgSetSRIOSERDESReserved(rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSRIOSERDESRxConfig | ( | Uint8 | index,
|  | Uint32 | config |
| ) |  |  |

============================================================================
CSL_BootCfgSetSRIOSERDESRxConfig

Description
The function is to used set the SRIO SERDES receive configuration

Arguments

            index    - Index of the SRIO SERDES to be configured (0-3)
            config   - SRIO SERDES Receive Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SRIO_SERDES_CFGRX0_SRIO_SERDES_CFGRX0;
BOOTCFG_SRIO_SERDES_CFGRX1_SRIO_SERDES_CFGRX1;
BOOTCFG_SRIO_SERDES_CFGRX2_SRIO_SERDES_CFGRX2;
BOOTCFG_SRIO_SERDES_CFGRX3_SRIO_SERDES_CFGRX3

Example

            Uint32 config;

            // Get the SRIO SERDES Receive Configuration
            CSL_BootCfgGetSRIOSERDESRxConfig (1, &config);

            // Enable the SRIO SERDES Configuration
            config = config | 0x1;
            CSL_BootCfgSetSRIOSERDESRxConfig (1, config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetSRIOSERDESTxConfig | ( | Uint8 | index,
|  | Uint32 | config |
| ) |  |  |

============================================================================
CSL_BootCfgSetSRIOSERDESTxConfig

Description
The function is to used set the SRIO SERDES transmit configuration

Arguments

            index    - Index of the SRIO SERDES to be configured (0-3)
            config   - SRIO SERDES Transmit Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_SRIO_SERDES_CFGTX0_SRIO_SERDES_CFGTX0;
BOOTCFG_SRIO_SERDES_CFGTX1_SRIO_SERDES_CFGTX1;
BOOTCFG_SRIO_SERDES_CFGTX2_SRIO_SERDES_CFGTX2;
BOOTCFG_SRIO_SERDES_CFGTX3_SRIO_SERDES_CFGTX3

Example

            Uint32 config;

            // Set the SRIO SERDES Transmit Configuration
            CSL_BootCfgSetSRIOSERDESTxConfig (0, &config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetTimerInputSelection | ( | Uint16 | timerInput | ) |

============================================================================
CSL_BootCfgSetTimerInputSelection

Description
The function sets the timer input selection

Arguments

            timerInput  - Timer Input selection to be configured

Return Value
Timer Input Selection

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_TINPSEL_TINPSEL

Example

            // Set the timer input selection
            CSL_BootCfgSetTimerInputSelection(0x1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetTimerOutputSelection | ( | Uint8 | timerOutputSel0,
|  | Uint8 | timerOutputSel1 |
| ) |  |  |

============================================================================
CSL_BootCfgSetTimerOutputSelection

Description
The function sets the timer output selection

Arguments

            timerOutputSel0 -   Timer output selection 0
            timerOutputSel1 -   Timer output selection 1

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_TOUTSEL_TOUTSEL0,BOOTCFG_TOUTSEL_TOUTSEL1

Example

            // Set the timer output selections
            CSL_BootCfgGetTimerOutputSelection(0x0, 0x1);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetVUSRConfigPLL | ( | Uint16 | config | ) |

============================================================================
CSL_BootCfgSetVUSRConfigPLL

Description
The function is to used to set the VUSR Configuration PLL

Arguments

            config   - VUSR Configuration PLL

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_VUSR_CFGPLL_VUSR_CFGPLL

Example

            Uint16   config;

            // Get the VUSR Configuration PLL
            CSL_BootCfgGetVUSRConfigPLL(&config);
            ...
            // Enable the PLL
            config = config | 0x1;
            CSL_BootCfgSetVUSRConfigPLL (config);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetVUSRReserved | ( | Uint32 | rsvdInfo | ) |

============================================================================
CSL_BootCfgSetVUSRReserved

Description
The function is to used to set the VUSR Reserved information

Arguments

            rsvdInfo   - VUSR Reserved Information

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_VUSR_SERDES_RSVD

Example

            Uint32   rsvdInfo;

            // Get the VUSR Reserved Information
            CSL_BootCfgGetVUSRReserved(&rsvdInfo);
            ...
            // Set the VUSR reserved informatio
            CSL_BootCfgSetVUSRReserved(rsvdInfo);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetVUSRRxConfig | ( | Uint8 | index,
|  | Uint32 | config |
| ) |  |  |

============================================================================
CSL_BootCfgSetVUSRRxConfig

Description
The function is to used to set the VUSR Receive Configuration

Arguments

            index    - Index of the VUSR Receive Configuration (0 - 3)
            config   - VUSR Receive Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_VUSR_CFGRX0_VUSR_CFGRX0;BOOTCFG_VUSR_CFGRX1_VUSR_CFGRX1;
BOOTCFG_VUSR_CFGRX2_VUSR_CFGRX2;BOOTCFG_VUSR_CFGRX1_VUSR_CFGRX3

Example

            Uint32   rxConfig;

            // Get the VUSR 0 Receive Configuration PLL
            CSL_BootCfgGetVUSRRxConfig(0, &rxConfig);
            ...
            // Enable the Receive
            rxConfig = rxConfig | 0x1;
            CSL_BootCfgSetVUSRRxConfig (0, rxConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgSetVUSRTxConfig | ( | Uint8 | index,
|  | Uint32 | config |
| ) |  |  |

============================================================================
CSL_BootCfgSetVUSRTxConfig

Description
The function is to used to set the VUSR Transmit Configuration

Arguments

            index    - Index of the VUSR Transmit Configuration (0 - 3)
            config   - VUSR Transmit Configuration

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_VUSR_CFGTX0_VUSR_CFGTX0;BOOTCFG_VUSR_CFGTX1_VUSR_CFGTX1;
BOOTCFG_VUSR_CFGTX2_VUSR_CFGTX2;BOOTCFG_VUSR_CFGTX3_VUSR_CFGTX3

Example

            Uint32   txConfig;

            // Get the VUSR 0 Transmit Configuration PLL
            CSL_BootCfgGetVUSRTxConfig(0, &txConfig);

            // Enable the Transmit
            txConfig = txConfig | 0x1;
            CSL_BootCfgSetVUSRTxConfig(0, txConfig);

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgUnblockMSMCParityReset | ( | void |  | ) |

============================================================================
CSL_BootCfgUnblockMSMCParityReset

Description
The function disables the MSMC Parity RAM block bit, thus enabling the MSMC parity RAM reset control.

Arguments
None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_CHIP_MISC_CHIP_MISC_MSMC_BLOCK_PARITY_RST=0

Example

            // Un-Block MSMC parity RAM from reset
            CSL_BootCfgUnblockMSMCParityReset();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgUnlockKicker | ( | void |  | ) |

============================================================================
CSL_BootCfgUnlockKicker

Description
The function is used to unlock the kicker mechanism which will allow the Boot configuration MMR registers to be come writeable.

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_KICK_REG0=0x83e70b13, BOOTCFG_KICK_REG1=0x95a4f1e0

Example

            // Unlock the kicker to ensure Boot configuration MMR is writeable
            CSL_BootCfgUnlockKicker();

=============================================================================

CSL_IDEF_INLINE void CSL_BootCfgUnlockLEDPLL | ( | void |  | ) |

============================================================================
CSL_BootCfgUnlockLEDPLL

Description
The function is to used unlock the LED PLL

Arguments

            None

Return Value
None

Pre Condition
None

Post Condition
None

Writes
BOOTCFG_LED_PLLLOCK_STICKY_EN_LOCK=0

Example

            // Lock the LED PLL
            CSL_BootCfgLockLEDPLL();

=============================================================================

Copyright 2012, Texas Instruments Incorporated